%define debug_package %{nil}

%if 0%{?fedora} || 0%{?centos} == 7
%global         with_python3 1
%else
%global         with_python3 0
%endif

Name:		liblnk
Version:	20181227
Release:	3%{?dist}
Summary:	Library to access the Windows Shortcut File (LNK) format
Group:		System Environment/Libraries
License:	LGPL
Source:		%{name}-alpha-%{version}.tar.gz
URL:		https://github.com/libyal/liblnk/wiki
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  autoconf automake pkgconfig gettext-devel libtool gcc

%description
liblnk is a library to access the Windows Shortcut File (LNK) format

%package devel
Summary: Header files and libraries for developing applications for liblnk
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Header files and libraries for developing applications for liblnk.

%package tools
Summary: Several tools for reading Windows Shortcut Files (LNK)
Group: Applications/System
Requires: %{name} = %{version}-%{release} 
 
%description tools
Several tools for reading Windows Shortcut Files (LNK)

%package python2
Summary: Python bindings for liblnk
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release} python
BuildRequires:  %(basename %{__python})-devel
Obsoletes: %{name}-python
Provides: %{name}-python = %{version}

%description python2
Python bindings for liblnk

%if 0%{?with_python3}
%package python3
Summary: Python 3 bindings for liblnk
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release} python3
%if 0%{?centos} >= 7
BuildRequires:  python36-devel
%else
BuildRequires:  python3-devel
%endif

%description python3
Python 3 bindings for liblnk
%endif

%prep
%setup -q

%build
#if [ -f synclibs.sh ]; then sh synclibs.sh; fi
if [ -f autogen.sh  ]; then sh autogen.sh;  fi
%if 0%{?with_python3}
%configure --prefix=/usr --libdir=%{_libdir} --mandir=%{_mandir} --enable-python2 --enable-python3
%else
%configure --prefix=/usr --libdir=%{_libdir} --mandir=%{_mandir} --enable-python
%endif
%if 0%{?centos} > 0
touch --date=20000101 libuna/Makefile.in 
%endif
make %{?_smp_mflags}

%install
rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

%clean
rm -rf ${RPM_BUILD_ROOT}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%attr(755,root,root) %{_libdir}/*.so.*

%files devel
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README ChangeLog
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/*
%{_mandir}/man3/*

%files tools
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%attr(755,root,root) %{_bindir}/lnkinfo
%{_mandir}/man1/*

%files python2
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%{_libdir}/python2*/site-packages/*.a
%{_libdir}/python2*/site-packages/*.la
%{_libdir}/python2*/site-packages/*.so

%if 0%{?with_python3}
%files python3
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%{_libdir}/python3*/site-packages/*.a
%{_libdir}/python3*/site-packages/*.la
%{_libdir}/python3*/site-packages/*.so
%endif

%changelog
* Tue Feb 12 2019 Lawrence R. Rogers <lrr@cert.org> 20181227-3
* Release 20181227-3
	Release 3 - Removed conflicts when that arise when python2 and python3
		    versions are attempted to be installed on a system.

* Mon Jan 28 2019 Lawrence R. Rogers <lrr@cert.org> 20181227-2
* Release 20181227-2
        Version as of 20181227
	-python packages renamed to -python2

* Thu Dec 27 2018 Lawrence R. Rogers <lrr@cert.org> 20181227-1
* Release 20181227-1
	Version 20181227

* Tue Jun 26 2018 Lawrence R. Rogers <lrr@cert.org> 20180626-1
* Release 20180626-1
	Version 20180626

* Wed Nov  1 2017 Lawrence R. Rogers <lrr@cert.org> 20171101-1
* Release 20171101-1
	Version 20171101

* Wed Jan 11 2017 Lawrence R. Rogers <lrr@cert.org> 20170111-1
* Release 20170111-1
	Version 20170111

* Wed Apr 20 2016 Lawrence R. Rogers <lrr@cert.org> 20160420-1
* Release 20160420-1
	20160218
	* worked on support for emtpy location information corruption scenario

	20160126
	* worked on tests
	* applied updates

	20160109
	* fixes for rpmbuild

* Fri Jan  8 2016 Lawrence R. Rogers <lrr@cert.org> 20160107-1
* Release 20160107-1
	20160107
	* worked on Python 3 support
	* 2016 update

	20151229
	* worked on setup.py

	20151222
	* applied updates

* Sat Dec  5 2015 Lawrence R. Rogers <lrr@cert.org> 20151205-1
* Release 20151205-1
	20151205
	* worked on Python bindings

* Sun Aug 30 2015 Lawrence R. Rogers <lrr@cert.org> 20150830-1
* Release 20150830-1
	20150830
	* worked on Python 3 support
	  - added support for distributed link tracker functions

	20150726
	* worked on tests

	20150725
	* worked on setup.py

* Wed Jun 17 2015 Lawrence R. Rogers <lrr@cert.org> 20150617-1
* Release 20150105-1
	20150617
	* bug fixes after fuzzing with AFL

	20150616
	* bug fixes after fuzzing with AFL

	20150609
	* Bug fix for handling volume label

* Sun May 31 2015 Lawrence R. Rogers <lrr@cert.org> 20150105-2
* Release 20150105-2
	Libuna GCC-5 Patch

* Mon Jan  5 2015 Lawrence R. Rogers <lrr@cert.org> 20150105-1
* Release 20150105-1
	20150105
	* 2015 update

	20141222
	* worked on Python 3 support

	20141220
	* worked on Python 3 support
	* worked on tests

	20141218
	* worked on Python 3 support

	20141216
	* worked on Python 3 support

	20141130
	* code clean up

	20141117
	* code clean up

	20141111
	* code clean up

* Sun Oct 26 2014 Lawrence R. Rogers <lrr@cert.org> 20141026-1
* Release 20141026-1
	20141026
	* changes for deployment

	20141019
	* changes for deployment

	20141013
	* worked on utility scripts

	20141004
	* update Python-bindings tests

	20140921
	* changes for project site move

* Fri Sep  5 2014 Lawrence R. Rogers <lrr@cert.org> 20140905-1
* Release 20140905-1
	20140905
	* updated libfwsi version check

	20140831
	* bug fix in Python-bindings

	20140807
	* worked on property store data block support

* Thu Aug 07 2014 Lawrence R. Rogers <lrr@cert.org> 20140731-1
* Release 20140731-1
	20140731
	* bug fix in Python-bindings

	20140730
	* worked on shell items support
	* small changes in debug output

	20140729
	* small changes in lnkinfo output

	20140723
	* worked on dpkg debug packages support

	20140715
	* worked on dpkg debug packages support

* Mon Jul 14 2014 Lawrence R. Rogers <lrr@cert.org> 20140714-1
* Release 20140714-1
	20140714
		* worked on shell items support
	20140622
		* updated dependencies
	20140323
		* worked on Python bindings

* Sun Jan 12 2014 Joachim Metz <joachim.metz@gmail.com> 20140112-1
- Auto-generated

